%define prefix /usr

Summary: A library to construct and handle network packets
Name: Libnet
Version: 1.0.2a
License: OpenSource
Release: 1
Group: System Environment/Libraries
Source: http://www.packetfactory.net/Projects/Libnet/dist/libnet-%{version}.tar.gz
BuildRoot: %{_tmppath}/Libnet-%{PACKAGE_VERSION}-root

%description
Libnet is a collection of routines to help with the construction and handling of network packets. It provides a portable framework for low-level network packet shaping, handling and injection. Libnet features portable packet creation interfaces at the IP layer and link layer, as well as a host of supplementary and complementary functionality. Using libnet, quick and simple packet assembly applications can be whipped up with little effort.


%package devel
Summary: A library to construct and handle network packets
Group: Development/Libraries
Requires: Libnet = %{version}

%description devel

%changelog
* Fri Apr 05 2002 Ralf Spenneberg <ralf@spenneberg.de>
- created first libnet package

%prep
%setup

%build
./configure --prefix=%{_prefix} 
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}

make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc README VERSION doc/*
%{_prefix}/lib/libnet.*


%files devel
%defattr(-, root, root)
%{_prefix}/lib/libnet.a
%{_prefix}/lib/libpwrite.a
%{_prefix}/bin/libnet-config
%{_prefix}/include/*
%{_prefix}/man/man3/*

